Delete test dataset
DELETE
/testdatasets/{id}Deletes a specific test dataset
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestDatasetsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestDatasetsApi(config);
const result = await api.deleteTestDataset({ "id": 123, "project": 123});console.log(result);curl --request DELETE \ "https://api.testcollab.io/testdatasets/123?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Test dataset ID |
project |
query | number | Yes | Project ID |
Response
Section titled “Response”200 — Test dataset deleted
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |
422 |
The dataset was not deleted. : among other reasons, when it is owned by a BDD sync (is_bdd_managed), which only tc sync deletes, or when a test case uses it. |